Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0043455
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2020-03-09 13:042020-03-27 08:18
Reporterjoniturralde93View Statuspublic 
Assigned Torqueralta 
PriorityurgentResolutionfixedFixed in VersionRR20Q2
StatusclosedFix in branchFixed in SCM revision92d70d9dfefb
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tojorge-garcia
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0043455: Time is showing in incorrect format in delivery mode after selecting a time

DescriptionAfter the fix of issue 43279, the issue got solved when opening the selector for the first time, but when a time is selected and the selector is opened again, the numbers are messy again.
Steps To Reproduce- Select a product
- Go to Edit tab and select delivery mode
- Select for Home Delivery
- Select a date
- When selecting hour the format is weird looking -> FIXED (now it looks fine)
- Select any hour/minute
- Open again the hour or minute selector. It now looks weird again.

So, after selecting a time, the selector turns wrong again.
TagsNo tags attached.
Attached Filesdiff file icon 43455_betterApproach.diff [^] (566 bytes) 2020-03-25 15:10 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0043279 closedrqueralta Time is showing in incorrect format in delivery mode 

-  Notes
(0118673)
hgbot (developer)
2020-03-18 14:38

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 54e8f48f438e74fedefbf8a50615dd724d5ae971
Author: Rafael Queralta <rafaelcuba81 <at> gmail.com>
Date: Tue Mar 17 19:03:29 2020 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/54e8f48f438e74fedefbf8a50615dd724d5ae971 [^]

Fixed BUG-43455: Time is showing in incorrect format in delivery mode after
selecting a time

- Added new css class

---
M web/org.openbravo.mobile.core/assets/css/obmobc-main.css
---
(0118675)
hgbot (developer)
2020-03-18 14:39

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: f57e3c134a2bf05a3a2473bad6d3be6692eb2af0
Author: Rafael Queralta <rafaelcuba81 <at> gmail.com>
Date: Tue Mar 17 19:02:41 2020 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/f57e3c134a2bf05a3a2473bad6d3be6692eb2af0 [^]

Fixed BUG-43455: Time is showing in incorrect format in delivery mode after
selecting a time

- Moved css style to css class

---
M web/org.openbravo.retail.posterminal/js/receiptMultiLineEdit.js
---
(0118811)
jorge-garcia (developer)
2020-03-25 15:10

The solution is working but is not correct as we want to avoid !important label on CSS classes.

I attached patch 43455_betterApproach.diff that is working for me.
(0118851)
hgbot (developer)
2020-03-27 03:35

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 92d70d9dfefb5c6a8a041d5f0511cc32f482be5c
Author: Rafael Queralta <rafaelcuba81 <at> gmail.com>
Date: Thu Mar 26 22:34:40 2020 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/92d70d9dfefb5c6a8a041d5f0511cc32f482be5c [^]

Fixed BUG-43455: Time is showing in incorrect format in delivery mode after
selecting a time

- Removed important in css class for a better approach

---
M web/org.openbravo.mobile.core/assets/css/obmobc-main.css
---
(0118853)
jorge-garcia (developer)
2020-03-27 08:18

Code reviewed and tested

- Issue History
Date Modified Username Field Change
2020-03-09 13:04 joniturralde93 New Issue
2020-03-09 13:04 joniturralde93 Assigned To => Retail
2020-03-09 13:04 joniturralde93 Triggers an Emergency Pack => No
2020-03-09 13:07 joniturralde93 Priority high => urgent
2020-03-09 13:07 joniturralde93 Severity minor => major
2020-03-09 13:43 joniturralde93 Relationship added related to 0043279
2020-03-16 21:50 rqueralta Assigned To Retail => rqueralta
2020-03-16 21:50 rqueralta Status new => scheduled
2020-03-18 14:38 hgbot Checkin
2020-03-18 14:38 hgbot Note Added: 0118673
2020-03-18 14:38 hgbot Status scheduled => resolved
2020-03-18 14:38 hgbot Resolution open => fixed
2020-03-18 14:38 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/54e8f48f438e74fedefbf8a50615dd724d5ae971 [^]
2020-03-18 14:39 hgbot Checkin
2020-03-18 14:39 hgbot Note Added: 0118675
2020-03-18 14:39 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/54e8f48f438e74fedefbf8a50615dd724d5ae971 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/f57e3c134a2bf05a3a2473bad6d3be6692eb2af0 [^]
2020-03-25 13:04 jorge-garcia Review Assigned To => jorge-garcia
2020-03-25 15:10 jorge-garcia Note Added: 0118811
2020-03-25 15:10 jorge-garcia Status resolved => new
2020-03-25 15:10 jorge-garcia Resolution fixed => open
2020-03-25 15:10 jorge-garcia File Added: 43455_betterApproach.diff
2020-03-27 03:35 hgbot Checkin
2020-03-27 03:35 hgbot Note Added: 0118851
2020-03-27 03:35 hgbot Status new => resolved
2020-03-27 03:35 hgbot Resolution open => fixed
2020-03-27 03:35 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/f57e3c134a2bf05a3a2473bad6d3be6692eb2af0 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/92d70d9dfefb5c6a8a041d5f0511cc32f482be5c [^]
2020-03-27 08:18 jorge-garcia Note Added: 0118853
2020-03-27 08:18 jorge-garcia Status resolved => closed
2020-03-27 08:18 jorge-garcia Fixed in Version => RR20Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker